.questions-view {
    box-sizing: border-box;
    margin-top: 60px;
    overflow-y: visible;
}

.questions-view > .table {
    box-sizing: border-box;
    border: 2px solid var(--main-soft);
    border-radius: 6px;
}

.table .heading {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    height: 48px;
    box-sizing: border-box;
    padding: 0 1rem;
    color: var(--text-color-inactive);
    font-family: Inter;
    font-size: 12px;
    font-weight: 500;
}

.table .heading > div {
    height: 16px;
    width: 16px;
    box-sizing: border-box;
    padding: 2px;
    margin-left: 8px;
    cursor: pointer;
}

.table .heading > div > img {
    height: 100%;
}

.table > .line {
    display: flex;
    height: 60px;
    width: 100%;
    box-sizing: border-box;
    padding: 0 1rem;
    border-bottom: 2px solid var(--main-soft);
    transition: 0.6s;
    cursor: pointer;
}

.table > .line.active {
    height: 160px;
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
}

.table > .line.first {
    max-height: 48px!important;
    background-color: var(--main)!important;
    cursor: default;
}

.table > .line > div {
    box-sizing: border-box;
    padding: 0 20px;
}

.table > .line input {
    width: 100%;
    box-sizing: border-box;
    padding: 8px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color-dark);
    font-family: Inter;
    font-size: 13px;
    font-weight: 400;
    transition: 0.6s;
}

.table > .line input:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.table > .line input:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.table > .line textarea {
    width: 100%;
    height: 80%;
    box-sizing: border-box;
    border: 1px solid transparent;
    margin: 16px 0;
    background-color: transparent;
    color: var(--text-color-dark);
    font-family: Inter;
    font-size: 13px;
    font-weight: 400;
    line-height: 1.8;
    overflow-y: scroll;
    transition: 0.6s;
    resize: none;
}

.table > .line textarea:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.table > .line textarea:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.table > .line  select {
    width: 100%;
    box-sizing: border-box;
    padding: 8px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color-dark);
    font-family: Inter;
    font-size: 13px;
    font-weight: 400;
    cursor: pointer;
    transition: 0.4s;
}

.table > .line select:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.table > .line select:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.table > .line > .remove {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
    border: none;
    border-radius: 0px;
    background-color: var(--alert);
    color: #fff;
    font-size: 13px;
    cursor: pointer;
}

.line > .flex-4 > input {
    width: 140px;
}

.chips {
    flex-wrap: wrap;
    gap: 6px;
    max-height: 85%;
    max-width: 80%;
    box-sizing: border-box;
    margin-right: 12px;
    overflow-x: scroll;
    z-index: 10;
}

.chips + textarea {
    width: 120px!important;
    border: 1px solid var(--main-soft)!important;
} 

.chips + textarea:hover {
    width: 120px!important;
    border: 1px solid var(--focus-hard)!important;
} 

.chips > .chip {
    box-sizing: border-box;
    padding: 8px 12px;
    border: 1px solid transparent;
    border-radius: 4px;
    background-color: var(--main-soft);
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 400;
    white-space: nowrap;
    cursor: pointer;
    transition: 0.4s;
}

.chips > .chip:hover {
    border: 1px solid var(--focus-hard);
}

.questions-view .action {
    position: relative;
    height: 24px;
    width: 24px;
    box-sizing: border-box;
    border-radius: 12px;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 600;
    opacity: 0;
    overflow: visible;
    transition: 0.4s;
    cursor: pointer;
}

.questions-view .action.save.disabled {
    display: none!important;
}

.questions-view .action.save {
    background-color: var(--focus);
}

.questions-view .action.delete {
    background-color: var(--alert);
}

.questions-view .action {
    display: flex;
    opacity: 1;
}

.questions-view .action:hover {
    padding: 0 12px;
}

.questions-view .action.save:hover {
    width: 72px;
}

.questions-view .action.delete:hover {
    width: 78px;
}

.questions-view .action > img {
    height: 50%;
    width: auto;
    margin: 0 8px 0 7px;
    transition: 0.6s;
    cursor: pointer;
}

.questions-view .action:hover > img {
    margin: 0 8px 0 0;
}

.questions-view .action > span {
    width: 0px;
    overflow: hidden;
    transition: 0.7s;
}

.questions-view .action:hover > span {
    width: fit-content;
}